de.caff.util.args

## Class AbstractMultipleSwitch

- java.lang.Object
- - de.caff.util.args.AbstractSwitch
  - - de.caff.util.args.AbstractMultipleSwitch

- All Implemented Interfaces:
    Switch, SwitchOrArgument
  Direct Known Subclasses:
    StringArgMultipleSwitch

      public abstract class AbstractMultipleSwitch
      extends AbstractSwitch

  A switch which may appear on the command line multiple times.
  Since:
    March 16, 2025
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `maxCount`
    `protected int` | `minCount`

    - ### Fields inherited from class de.caff.util.args.AbstractSwitch

      `description, longForm, shortForm`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractMultipleSwitch(java.lang.Character shortForm, java.lang.String longForm, java.lang.String description, int minCount)`
    `protected` | `AbstractMultipleSwitch(java.lang.Character shortForm, java.lang.String longForm, java.lang.String description, int minCount, int maxCount)`

  - ### Method Summary

    - ### Methods inherited from class de.caff.util.args.AbstractSwitch

      `getDescription, getLongForms, getShortForms`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.args.Switch

      `consumeArgument, found, found, isOptional, isSwitch, needsArguments`

    - ### Methods inherited from interface de.caff.util.args.SwitchOrArgument

      `getAppearance, isVarLength`

- - ### Field Detail

    - #### minCount

          protected final int minCount

    - #### maxCount

          protected final int maxCount

  - ### Constructor Detail

    - #### AbstractMultipleSwitch

          protected AbstractMultipleSwitch(@NotNull
                                           java.lang.Character shortForm,
                                           @NotNull
                                           java.lang.String longForm,
                                           @NotNull
                                           java.lang.String description,
                                           int minCount)

    - #### AbstractMultipleSwitch

          protected AbstractMultipleSwitch(@NotNull
                                           java.lang.Character shortForm,
                                           @NotNull
                                           java.lang.String longForm,
                                           @NotNull
                                           java.lang.String description,
                                           int minCount,
                                           int maxCount)